fop 1.1

## org.apache.fop.afp
Class AFPEventProducer.Provider

    java.lang.Object
      org.apache.fop.afp.AFPEventProducer.Provider

Enclosing interface:
  AFPEventProducer

    public static final class AFPEventProducer.Provider

extends java.lang.Object

Provider class for the event producer.

Method Summary
`static AFPEventProducer` `get(EventBroadcaster broadcaster)` Returns an event producer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public static AFPEventProducer get(EventBroadcaster broadcaster)

  Returns an event producer.

  Parameters:
    `broadcaster` - the event broadcaster to use
  Returns:
    the event producer

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.